> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a cluster

> Permanently delete the cluster with the given ID. This action is irreversible.



## OpenAPI

````yaml /openapi.json delete /api/svc/v1/clusters/{id}
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: Logs
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
paths:
  /api/svc/v1/clusters/{id}:
    delete:
      tags:
        - Clusters
      summary: Delete a cluster
      description: >-
        Permanently delete the cluster with the given ID. This action is
        irreversible.
      operationId: Cluster.delete
      parameters:
        - name: id
          required: true
          in: path
          description: Unique identifier of the cluster.
          schema:
            type: string
      responses:
        '200':
          description: The cluster was deleted successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteClusterResponse'
        '401':
          description: 'Error: Unauthorized'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: Cluster with the provided ID was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - jwt: []
components:
  schemas:
    DeleteClusterResponse:
      type: object
      properties:
        message:
          type: string
          description: Confirmation message indicating the cluster was deleted.
      required:
        - message
      title: DeleteClusterResponse
      x-fern-type-name: DeleteClusterResponse
    HttpError:
      type: object
      properties:
        statusCode:
          type: integer
          description: HTTP Status Code
        message:
          type: string
          description: Error Message
        code:
          oneOf:
            - type: integer
            - type: string
          description: Error code
          nullable: true
        details:
          type: array
          description: Error details
          items:
            type: object
          nullable: true
      required:
        - statusCode
        - message
      title: HttpError
      x-fern-type-name: HttpError
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````